{% extends 'main/about_workers.html' %}
{% load static %}
{% block title %}{{ teacher.last_name }} {{ teacher.first_name }} {{ teacher.middle_name }}{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb teacher "main:teacher" teacher.id %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          <img src="{% if  teacher.photo %}
                  {{ teacher.photo.url }}
                  {% else %}
https://mdbootstrap.com/img/Photos/Others/placeholder-avatar.jpg
{% endif %}" class="card-img" alt="...">
        </div>
        <div class="col-md-6">
          <h5>{{ teacher.last_name }} {{ teacher.first_name }} {{ teacher.middle_name }}</h5>
          <p>{{ teacher.position|default_if_none:'' }}<br>
            {{ teacher.degree|default_if_none:'' }}<br>
            {{ teacher.title|default_if_none:'' }}
          </p>
          {% if user.teacher %}
            <p>{{ teacher.phone|default_if_none:'' }}</p>
          {% endif %}
          <p>
            <a href="mailto:{{ teacher.email|default_if_none:'' }}">{{ teacher.email|default_if_none:'' }}</a>
          </p>
          {% if perms.teacher.change_teacher %}
            <a href="/admin/people/teacher/{{ teacher.id }}/change/"><i class="far fa-edit"></i></a>
          {% endif %}
        </div>
      </div>
      <div class="row" style="padding-top: 1rem">
        <div class="col">
          <ul>
            {% for subject in teacher.subjects.all %}
              <li style="list-style: none"><a
                  href="{% url 'subjects:subject' subject.id %}">{{ subject }}</a></li>
            {% endfor %}
          </ul>
        </div>
      </div>
    </div>
  </section>
{% endblock %}
